Package org.eclipse.emf.cdo.lm.reviews.server

# Interface IReviewManagerEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

public interface IReviewManagerEvent extends org.eclipse.net4j.util.event.IEvent

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IReviewManagerEvent.Type`

## Method Summary

Modifier and Type
Method
Description
`CDOID`
`getCDOID()`
`Set<EStructuralFeature>`
`getChangedFeatures()`
`Review`
`getNewReview()`
`Review`
`getOldReview()`
`IReviewManager`
`getSource()`
`IReviewManagerEvent.Type`
`getType()`

## Method Details

### getSource

IReviewManager getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

### getType

IReviewManagerEvent.Type getType()

### getCDOID

CDOID getCDOID()

### getOldReview

Review getOldReview()

### getNewReview

Review getNewReview()

### getChangedFeatures

Set<EStructuralFeature> getChangedFeatures()